Coding
Package agents is autonomous agents for your org: define them, run them, keep every run.
Package agents is autonomous agents for your org: define them, run them, keep every run.
| Base URL | https://api.hanzo.ai |
| Operations | 1 |
| Auth | Authorization: Bearer $HANZO_API_KEY |
coding
POST /v1/coding
Start one autonomous coding run against a repo in the caller's org
Request body — application/json (required)
| Field | Type | Required | Description |
|---|---|---|---|
agentRef | string | — | |
base | string | — | |
desktop | boolean | — | |
project | string | — | |
prompt | string | — | |
replyChannel | string | — | |
replyThread | string | — | |
repo | string | — | |
subject | string | — | |
targetId | string | — | |
timeoutSeconds | integer | — | |
tool | string | — |
How is this guide?